Bug 1468896 - anaconda "hangs" at "Preparing transaction from installation source"
anaconda "hangs" at "Preparing transaction from installation source"
Status: NEW
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
27
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-09 11:35 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2017-08-15 02:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (69.50 KB, text/plain)
2017-07-09 11:36 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details
program.log (41.81 KB, text/plain)
2017-07-09 11:36 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details
storage.log (250.85 KB, text/plain)
2017-07-09 11:37 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details
/tmp/syslog (399.66 KB, text/plain)
2017-07-09 11:38 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2017-07-09 11:35:29 EDT
Description of problem:
I was installing rawhide in VM today (virt-install --connect qemu:///system --name rawhide-uefi --boot uefi --disk size=20 --memory 1024 --cdrom Fedora-Server-netinst-x86_64-Rawhide-20170708.n.0.iso), and it stops as in $subject. It's not frozen — anaconda reacts to user input, I can go the the "create user" pane, and I can switch to the text terminal. It just doesn't seem to be doing anything in particular.

Version-Release number of selected component (if applicable):
Server-netinst-x86_64-Rawhide-20170708.n.0.iso

How reproducible:
don't know yet
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-07-09 11:36 EDT
Created attachment 1295619 [details]
anaconda.log
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-07-09 11:36 EDT
Created attachment 1295620 [details]
program.log
Comment 3 Zbigniew Jędrzejewski-Szmek 2017-07-09 11:37 EDT
Created attachment 1295621 [details]
storage.log
Comment 4 Zbigniew Jędrzejewski-Szmek 2017-07-09 11:38 EDT
Created attachment 1295622 [details]
/tmp/syslog
Comment 5 Jiri Konecny 2017-07-10 06:02:52 EDT
Hi Zbigniew,

Please verify if it is reproducible for you. We are having similar issue in our tests, which are using virt-install heavily.
For us it is not reproducible; it happens approximately 1 from 5 installations.

Thank you for reporting this.
Comment 6 Zbigniew Jędrzejewski-Szmek 2017-07-10 09:06:42 EDT
I tried a second time (this time with --memory 1024) and it worked without issue. I'll try to find time to make a few more tries later.
Comment 7 Zbigniew Jędrzejewski-Szmek 2017-07-10 21:41:20 EDT
> I tried a second time (this time with --memory 1024)
That was supposed to be 2048.

I tried a few more times with --memory 1024 and it seems to work OK every time.
Comment 8 Jiri Konecny 2017-07-11 01:52:52 EDT
IMHO, it looks like you have encountered the same issue as we have. It happens even more when there is heavy parallel usage of virt-install.
Comment 9 Jan Kurik 2017-08-15 02:27:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.